.\" $XConsortium: startx.man /main/8 1996/12/09 17:09:15 kaleb $
.\" Copyright (c) 1993  X Consortium
.\" 
.\" $XFree86: xc/programs/xinit/startx.man,v 1.1.1.3.2.2 1998/11/05 19:38:35 hohndel Exp $
.\"
.\" Permission is hereby granted, free of charge, to any person obtaining
.\" a copy of this software and associated documentation files (the
.\" "Software"), to deal in the Software without restriction, including
.\" without limitation the rights to use, copy, modify, merge, publish,
.\" distribute, sublicense, and/or sell copies of the Software, and to
.\" permit persons to whom the Software is furnished to do so, subject to
.\" the following conditions:
.\" 
.\" The above copyright notice and this permission notice shall be included
.\" in all copies or substantial portions of the Software.
.\" 
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
.\" OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
.\" MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
.\" IN NO EVENT SHALL THE X CONSORTIUM BE LIABLE FOR ANY CLAIM, DAMAGES OR
.\" OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
.\" ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
.\" OTHER DEALINGS IN THE SOFTWARE.
.\" 
.\" Except as contained in this notice, the name of the X Consortium shall
.\" not be used in advertising or otherwise to promote the sale, use or
.\" other dealings in this Software without prior written authorization
.\" from the X Consortium.
.TH STARTX 1 "Release 6.3" "X Version 11"
.SH NAME
startx \- initialize an X session
.SH SYNOPSIS
.B startx
[ [
.I client
]
.I options
\&\.\|.\|. ] [
.B \-\^\-
[
.I server
]
.I options
\&.\|.\|. ]
.SH DESCRIPTION
The \fIstartx\fP script is a front end to \fIxinit\fP that provides a
somewhat nicer user interface for running a single session of the X
Window System.  It is typically run with no arguments.
.PP
One important exception is the case when a different color depth is being
selected. Since this is involves passing an argument to the server, the
option has to be prefixed with 
.RB `--'
(see the 
.IR xinit(1)
manual page for more details on the arguments). In order to start the server
in 16bpp use
.sp
startx -- -bpp 16
.PP
To determine the client to run,
.I startx
uses the file
.I xinitrc
in the
.I xinit library directory.
If command line client options are given, they override this
behavior.
To determine the server to run,
.I startx
first looks for a file called
.I .xserverrc
in the user's home directory.  If that is not found, it uses
the file
.I xserverrc
in the
.I xinit library directory
.
If command line server options are given, they override this
behavior.  Users rarely need to provide a
.I .xserverrc
file.
See the
.IR xinit (1)
manual page for more details on the arguments.
.SH "ENVIRONMENT VARIABLES"
.TP 25
DISPLAY
This variable gets set to the name of the display to which clients should
connect.  Note that this gets
.I set,
not read.
.SH FILES
.TP 25
.I $(HOME)/.xserverrc
Server to run.  The default is
.I X.
.TP 25
.I /usr/X11R6/lib/X11/xinit/xinitrc
Client to run.
.TP 25
.I /usr/X11R6/lib/X11/xinit/xserverrc
Client to run if the user has no
.I .xserverrc
file.  This is only needed if the server needs special arguments or is
not named.
.SH "SEE ALSO"
.IR xinit (1)
